<?php

class IndexController extends IndexControllerCore
{
    
    /*
     * 15.06.17 - Webbax - light database
     */
    public function initContent()
    {
        // vide les tables
        $date = Configuration::get('WEBBAX_RESET_STATS_DATE');
        $date_day = date('Y-m-d');
        if($date != $date_day){
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'guest');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'connections');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'connections_source');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'connections_page');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'pagenotfound');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'page_viewed');
            Db::getInstance()->execute('TRUNCATE TABLE '._DB_PREFIX_.'referrer_shop');  
            Configuration::updateValue('WEBBAX_RESET_STATS_DATE',$date_day);
        }
        parent::initContent();
    }
}
